<?php get_header(); ?>

	<div id="blog">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<?php $attachment_link = get_the_attachment_link($post->ID, true, array(450, 800)); // This also populates the iconsize for the next line ?>
<?php $_post = &get_post($post->ID); $classname = ($_post->iconsize[0] <= 128 ? 'small' : '') . 'attachment'; // This lets us style narrow icons specially ?>
		<div class="post" id="post-<?php the_ID(); ?>">
            <div class="post_date">
                <em class="month"><?php the_time('F') ?></em>
                <em class="date"><?php the_time('j') ?></em>
                <em class="year"><?php the_time('Y') ?></em>
            </div>
			<div class="post_entry">
                <h2><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &raquo; <a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
                <div class="entry whole_entry">
                    <p class="<?php echo $classname; ?>"><?php echo $attachment_link; ?><br /><?php echo basename($post->guid); ?></p>
				    <?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
                </div>

				<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

				<p class="meta">
					<small>
						Posted on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?><br />
						Filed in <?php the_category(', ') ?>.<br />
						You can follow any responses to this entry through the <?php comments_rss_link('RSS 2.0'); ?> feed.
                    </small>
                </p>

                <p class="navigation">
        			<span class="alignleft"><?php previous_post_link('&laquo; %link') ?></span>
        			<span class="alignright"><?php next_post_link('%link &raquo;') ?></span>
                </p>

                <p class="meta">
						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(true); ?>" rel="trackback">trackback</a> from your own site.

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							Responses are currently closed, but you can <a href="<?php trackback_url(true); ?> " rel="trackback">trackback</a> from your own site.

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							You can skip to the end and leave a response. Pinging is currently not allowed.

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							Both comments and pings are currently closed.

						<?php } edit_post_link('Edit this entry.','',''); ?>
                </p>
                	<?php comments_template(); ?>
            </div>
		</div>



	<?php endwhile; else: ?>

		<p>Sorry, no attachments matched your criteria.</p>

<?php endif; ?>

	</div>
<?php get_sidebar(); ?>

<?php get_footer(); ?>
